### Method

# Gdk Surface set_device_cursor

#### Declaration [src]

    void
    gdk_surface_set_device_cursor (
      GdkSurface* surface,
      GdkDevice* device,
      GdkCursor* cursor
    )

#### Description [src]

Sets a specific `GdkCursor` for a given device when it gets inside `surface`.

Passing `NULL` for the `cursor` argument means that `surface` will use the cursor of its parent surface. Most surfaces should use this default.

Use gdk_cursor_new_from_name() or gdk_cursor_new_from_texture() to create the cursor. To make the cursor invisible, use `GDK_BLANK_CURSOR`.

#### Parameters

`device` | `GdkDevice`
| A pointer `GdkDevice`.
| The data is owned by the caller of the function.
`cursor` | `GdkCursor`
| A `GdkCursor`.
| The data is owned by the caller of the function.